package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.unissoft.basic.model.BasicDeviceControlElse;
import com.unissoft.basic.service.BasicDeviceControlElseService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 设备控制-其他设备 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-04-01
 */
@RestController
@RequestMapping("/basic-device-control-else")
public class BasicDeviceControlElseController {

    @Autowired
    private BasicDeviceControlElseService basicDeviceControlElseService;


    @GetMapping(value = "/CountBasicDeviceControlElse")
    @ApiOperation("设备数量")
    public int CountBasicDeviceControlElse(){
        LambdaQueryWrapper<BasicDeviceControlElse> wrapper = new LambdaQueryWrapper<>();
     /*   wrapper.like(null!=equipmentType&&!"".equals(equipmentType),BasicDeviceControlHeat::getEquipmentType,equipmentType);
        wrapper.like(null!=equipmentTagid&&!"".equals(equipmentTagid),BasicDeviceControlHeat::getEquipmentTagid,equipmentTagid);
        wrapper.like(null!=equipmentLocation&&!"".equals(equipmentLocation),BasicDeviceControlHeat::getEquipmentLocation,equipmentLocation);
*/
        return basicDeviceControlElseService.count();

    }


}
