package com.unissoft.basic.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.model.BasicEnum;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 字典表 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2023-01-31
 */
public interface BasicEnumMapper extends BaseMapper<BasicEnum> {

    IPage<BasicEnum> getEnumPage(IPage<BasicEnum> basicEnumPage, @Param("ew") QueryWrapper<BasicEnum> ew);

    List<BasicEnum> getListOrGroupList(String enumCode);

    List<BasicEnum> getParentsList();

}
