package com.unissoft.basic.mapper;

import com.unissoft.basic.model.BasicRemoteProtocol;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * <p>
 * 通讯协议表 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2023-02-06
 */
public interface BasicRemoteProtocolMapper extends BaseMapper<BasicRemoteProtocol> {

    /**
     * 获取所有topic
     * @return list
     */
    List<String> getByTopics();

}
