package com.unissoft.basic.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2023-02-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basic_device_config_food")
@ApiModel(value="BasicDeviceConfigFood对象", description="设备配置-粮情")
public class BasicDeviceConfigFood implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "粮情设备ID")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "组织机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "设备编号")
    @TableField("device_number")
    private String deviceNumber;

    @ApiModelProperty(value = "设备名称")
    @TableField("device_name")
    private String deviceName;

    @ApiModelProperty(value = "设备型号")
    @TableField("device_model")
    private String deviceModel;

    @ApiModelProperty(value = "设备类型")
    @TableField("device_type")
    private String deviceType;

    @ApiModelProperty(value = "设备标签")
    @TableField("device_label")
    private String deviceLabel;

    @ApiModelProperty(value = "所属仓房")
    @TableField("house_code")
    private String houseCode;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "设备状态(1：设备异常，2：设备预警，3：设备故障)")
    @TableField("device_status")
    private String deviceStatus;

    @ApiModelProperty(value = "最后上线时间")
    @TableField("last_seen_time")
    private Date lastSeenTime;

    @ApiModelProperty(value = "质保日期")
    @TableField("warranty_time")
    private Date warrantyTime;

    @ApiModelProperty(value = "安装点位")
    @TableField("install_point")
    private String installPoint;

    @ApiModelProperty(value = "设备详细地址")
    @TableField("device_address")
    private String deviceAddress;

    @ApiModelProperty(value = "粮情编号")
    @TableField("food_number")
    private String foodNumber;

    @ApiModelProperty(value = "通道号")
    @TableField("channel_number")
    private String channelNumber;

    @ApiModelProperty(value = "粮情名称")
    @TableField("food_name")
    private String foodName;

    @ApiModelProperty(value = "起始电缆号")
    @TableField("start_cable_number")
    private String startCableNumber;

    @ApiModelProperty(value = "结束电缆号")
    @TableField("end_cable_number")
    private String endCableNumber;

    @ApiModelProperty(value = "层数")
    @TableField("layer_number")
    private String layerNumber;

    @ApiModelProperty(value = "行数")
    @TableField("row_number")
    private String rowNumber;

    @ApiModelProperty(value = "站点编码")
    @TableField("site_code")
    private String siteCode;

    @ApiModelProperty(value = "列数")
    @TableField("column_number")
    private String columnNumber;

    @ApiModelProperty(value = "方位")
    @TableField("food_position")
    private String foodPosition;

    @ApiModelProperty(value = "0是1否反置")
    @TableField("is_reverse")
    private String isReverse;

    @ApiModelProperty(value = "0粮情/1油情")
    @TableField("is_food")
    private String isFood;

    @ApiModelProperty(value = "描述")
    @TableField("food_describe")
    private String foodDescribe;


}
