package com.unissoft.basic.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value="BasicGraphicStatistics对象", description="图形统计")
public class BasicGraphicStatistics {
    @ApiModelProperty(value = "类型")
    private  String type;
    @ApiModelProperty(value = "数量")
    private  Integer count;
    @ApiModelProperty(value = "占比")
    private String proportion;
    @ApiModelProperty(value = "正常设备(个)")
    private Integer normalEquipmentNum;
    @ApiModelProperty(value = "故障设备(个)")
    private Integer failureEquipmentNum;


    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public String getProportion() {
        return proportion;
    }

    public void setProportion(String proportion) {
        this.proportion = proportion;
    }

    public Integer getNormalEquipmentNum() {
        return normalEquipmentNum;
    }

    public void setNormalEquipmentNum(Integer normalEquipmentNum) {
        this.normalEquipmentNum = normalEquipmentNum;
    }

    public Integer getFailureEquipmentNum() {
        return failureEquipmentNum;
    }

    public void setFailureEquipmentNum(Integer failureEquipmentNum) {
        this.failureEquipmentNum = failureEquipmentNum;
    }
}
