package com.unissoft.config;

import com.unissoft.config.LoginInterceptor;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

// 自定义springboot配置类
@Configuration
public class MyWebConfig implements WebMvcConfigurer {

	
	//关键，将拦截器作为bean写入配置中
    @Bean
    public LoginInterceptor loginInterceptor(){
        return new LoginInterceptor();
    }
    
    
    // 添加注册拦截器
   /* @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(loginInterceptor())
                .addPathPatterns("/**") // 拦截所有请求
                .excludePathPatterns("/user-info/login","/user-info/identifyImage","/syn-authorization/inputsqm"); // 放行 / 和 /login请求,
        
    }*/
    
    
    
}