package com.unissoft.house.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.common.PageParam;
import com.unissoft.house.model.HouseInfo;
import com.unissoft.user.model.UserInfo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author root
 * @since 2023-01-17
 */
public interface HouseInfoService extends IService<HouseInfo> {

    List<HouseInfo> getHouseList(String name, String code);

    IPage<HouseInfo> getHousePage(PageParam pageParam);
}
