package com.unissoft.syn.service;

import com.unissoft.common.PageParam;
import com.unissoft.syn.model.SynAuthorization;

import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 授权码 服务类
 * </p>
 *
 * @author root
 * @since 2023-04-04
 */
public interface SynAuthorizationService extends IService<SynAuthorization> {

	List<SynAuthorization> selectList(QueryWrapper<SynAuthorization> queryWrapper);
	
	
	boolean verificateSqm(HttpServletRequest request);
	
	
	boolean checkSqm(HttpServletRequest request,String sqmValue);


	IPage<SynAuthorization> getPageList(PageParam pageParam);


}
