package com.unissoft.sys.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.BasicEnum;
import com.unissoft.common.PageParam;
import com.unissoft.sys.model.LabelInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author root
 * @since 2023-01-31
 */
@Repository
public interface LabelInfoMapper extends BaseMapper<LabelInfo> {

    IPage<LabelInfo> getLabelPage(IPage<LabelInfo> labelInfoPage, @Param("ew") QueryWrapper<LabelInfo> ew);;

    List<LabelInfo> getParentsList();
}
