package com.unissoft.sys.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.unissoft.sys.mapper.SysImageMapper;
import com.unissoft.sys.model.SysImage;
import com.unissoft.sys.service.SysImageService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * <p>
 * 系统图片 服务实现类
 * </p>
 *
 * @author root
 * @since 2023-03-28
 */
@Service
public class SysImageServiceImpl extends ServiceImpl<SysImageMapper, SysImage> implements SysImageService {
@Resource
private SysImageMapper imageMapper;

    @Override
    public String getImageForOnly(SysImage sysImage) {
        return imageMapper.selectImageDir(sysImage);
    }
}
