package com.unissoft.user.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.common.PageParam;
import com.unissoft.user.model.UserChildInfo;
import com.unissoft.user.model.UserInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Date;


/**
 * <p>
 *  服务类
 * </p>
 *
 * @author root
 * @since 2023-01-17
 */
public interface UserInfoService extends IService<UserInfo> {

    IPage<UserChildInfo> getUserPage(PageParam pageParam);

    UserChildInfo getByInfoId(String id);

    void updateLastLoginTime(String id);
}
