package com.unissoft.webservice.service;

import com.unissoft.webservice.model.ResponseEntity;

import javax.jws.WebParam;
import javax.jws.WebService;

/**
 * @author qingsong.han
 * @description: 测温数据
 * @create 2023-03-14 16:32
 */
@WebService
public interface GrainTemperatureService {
    /**
     * 测温webservice 接收数据接口
     * @param dataSource 数据来源
     * @param grainTemperatureData 数据
     * @return
     */
    ResponseEntity uploadGrainTemperatureData(@WebParam(name = "dataSource") String dataSource, @WebParam(name = "grainTemperatureData") String grainTemperatureData);
}
