package com.unissoft.webservice.service.impl;

import com.alibaba.fastjson2.JSON;
import com.unissoft.data.mapper.DataGrainTempMapper;
import com.unissoft.data.model.DataGrainTemp;
import com.unissoft.webservice.model.ResponseEntity;
import com.unissoft.webservice.service.GrainTemperatureService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author qingsong.han
 * @description: 测温数据实现
 * @create 2023-03-14 16:33
 */
@Slf4j
@Service
public class GrainTemperatureServiceImpl implements GrainTemperatureService {
//    @Resource
//    private DataGrainTempMapper grainTempMapper;

    @Override
    @Transactional(rollbackFor = Exception.class)
    public ResponseEntity uploadGrainTemperatureData(String dataSource, String grainTemperatureData) {
        // 数据处理逻辑
        log.info("接收到:{}测温数据:{}", dataSource, grainTemperatureData);
        // 数据保存
       // grainTempMapper.insert();
        return ResponseEntity.ok();
    }
}
