package com.unissoft.basic.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.BasicTimingTask;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.common.PageParam;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 定时任务设置表 服务类
 * </p>
 *
 * @author root
 * @since 2023-02-06
 */
public interface BasicTimingTaskService extends IService<BasicTimingTask> {

    void saveList(BasicTimingTask timingTask);

    void updateList(BasicTimingTask timingTask);

    IPage<BasicTimingTask> getPageList(PageParam pageParam);

    boolean deleteById(BasicTimingTask timingTask);

    List<Map<String,Object>> getByDeviceName(String classifyName);

}
