package com.unissoft.common;

import java.util.concurrent.ScheduledFuture;

/**
 * @author qingsong.han
 * @description: 添加ScheduledFuture的包装类.
 * ScheduledFuture是ScheduledExecutorService定时任务线程池的执行结果
 * @create 2023-02-07 13:40
 */
public class ScheduledTask {

    volatile ScheduledFuture<?> future;

    /**
     * 取消定时任务
     */
    public void cancel() {
        ScheduledFuture<?> future = this.future;
        if (future != null) {
            future.cancel(true);
        }
    }

}
