package com.unissoft.common;

import java.lang.annotation.*;

/**
 * @author qingsong.han
 * @description: 系统操作日志自定义注解
 * @create 2023-03-01 14:37
 */
@Documented
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface SystemLog {
    String value() default ""; // 操作类型
}
