package com.unissoft.sys.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.common.PageParam;
import com.unissoft.sys.model.SysLog;

import java.util.List;

/**
 * <p>
 * 运行日志 服务类
 * </p>
 *
 * @author root
 * @since 2023-03-01
 */
public interface SysLogService extends IService<SysLog> {

    /**
     * 获取当天操作动作信息
     * @param orgCode 机构编码
     * @return list
     */
    List<SysLog> getLogList(String orgCode);

    Object getOnlineList(String orgCode);

    IPage<SysLog> getPageList(PageParam pageParam);

}
