package com.unissoft.user.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.user.model.UserChildInfo;
import com.unissoft.user.model.UserInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author root
 * @since 2023-01-17
 */
@Repository
public interface UserInfoMapper extends BaseMapper<UserInfo> {

    IPage<UserChildInfo> getUserPage(IPage<UserChildInfo> page, @Param("ew") Wrapper<UserInfo> wrapper);

    UserChildInfo getByInfoId(String id);

    void updateLastLoginTime(Map<String, Object> map);
}
